/* --- NEW SCIENCE FAMILY --- */
@font-face {
    font-family: 'New Science';
    src: url('../fonts/new-science/fonnts.com-New_Science_Regular.otf') format('opentype');
    font-weight: 400;
    font-style: normal;
    font-display: swap; /* Melhora a performance de carregamento */
}

@font-face {
    font-family: 'New Science';
    src: url('../fonts/new-science/fonnts.com-New_Science_Bold.otf') format('opentype');
    font-weight: 700;
    font-style: normal;
    font-display: swap;
}

/* --- OUTFIT FAMILY --- */
@font-face {
    font-family: 'Outfit';
    src: url('../fonts/outfit/Outfit-Regular.ttf') format('truetype');
    font-weight: 400;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: 'Outfit';
    src: url('../fonts/outfit/Outfit-Bold.ttf') format('truetype');
    font-weight: 700;
    font-style: normal;
    font-display: swap;
}

/* --- VARIAVEIS DE SISTEMA PARA FACILITAR MANUTENÇÃO --- */
:root {
    --font-primary: 'Outfit', sans-serif;
    --font-heading: 'New Science', sans-serif;
}